## org.eclipse.ocl.cst
Interface TupleLiteralExpCS

All Superinterfaces:
  CSTNode, EObject, LiteralExpCS, Notifier, OCLExpressionCS

All Known Implementing Classes:
  TupleLiteralExpCSImpl

    public interface TupleLiteralExpCS

extends LiteralExpCS

A representation of the model object 'Tuple Literal Exp CS'.

The following features are supported:

- `Variables`

See Also:
  `CSTPackage.getTupleLiteralExpCS()`

Method Summary
`EList<VariableCS>` `getVariables()` Returns the value of the 'Variables' containment reference list.

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getVariables

    EList<VariableCS> getVariables()

  Returns the value of the 'Variables' containment reference list. The list contents are of type `VariableCS`.

  If the meaning of the 'Variables' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Variables' containment reference list.
  See Also:
    `CSTPackage.getTupleLiteralExpCS_Variables()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.